require_dependency "revisions/application_controller"

module Revisions
  class HomeController < ApplicationController

    skip_before_action :authenticate_user

    def index

    end

    def register
      user = Revisions::User.new
      user.key = Digest::SHA256.hexdigest(SecureRandom.random_bytes(32))
      user.save

      server_url = build_url("items?key=#{user.key}&uid=#{user.id}&type=sf")
      client_url = build_url("ext?key=#{user.key}&uid=#{user.id}&type=sn")

      render :json => {server_url: server_url, client_url: client_url}
    end

  end
end
